--------------------------------------------------------------------------
-- GTFO_Fail_WOD.lua 
--------------------------------------------------------------------------
--[[
GTFO Fail List - Warlords of Draenor
Author: Zensunim of Malygos
]]--

-- ***********
-- * Draenor *
-- ***********

GTFO.SpellID["158834"] = {
	--desc = "Acid Burst (Acidback)";
	sound = 3;
};

GTFO.SpellID["150790"] = {
	--desc = "Ground Slap (Gronn)";
	sound = 3;
};

-- **************
-- * Auchindoun *
-- **************

GTFO.SpellID["166749"] = {
	--desc = "Void Strikes (Sargerei Hoplite)";
	sound = 3;
	tankSound = 0;
};

GTFO.SpellID["157786"] = {
	--desc = "Radiant Fury (Spiteful Arbiter)";
	sound = 3;
};

GTFO.SpellID["154526"] = {
	--desc = "Hallowed Ground (Soul Construct)";
	sound = 3;
};

GTFO.SpellID["157792"] = {
	--desc = "Arcane Bomb (Sargerei Magus)";
	sound = 3;
};

GTFO.SpellID["154018"] = {
	--desc = "Conflagration (Blazing Trickster)";
	sound = 3;
	applicationOnly = true;
};

-- TODO: Curtain of Flame (Azzakel)
-- TODO: Seed of Corruption (Teron'gor)
-- TODO: Demonic Leap (Teron'gor) (avoidable?)
-- TODO: Chaos Wave (Teron'gor)

-- ************************
-- * Bloodmaul Slag Mines *
-- ************************

GTFO.SpellID["150023"] = {
	--desc = "Slag Smash (Magmolatus)";
	sound = 3;
};

GTFO.SpellID["152843"] = {
	--desc = "Fiery Boulder (Roltall)";
	sound = 3;
};

GTFO.SpellID["164618"] = {
	--desc = "Exploding Flames (Bloodmaul Flamespeaker)";
	sound = 3;
};

-- ******************
-- * Grimrail Depot *
-- ******************

GTFO.SpellID["162513"] = {
	--desc = "VX18-B Target Eliminator (Railmaster Rocketspark)";
	sound = 3;
};

GTFO.SpellID["164188"] = {
	--desc = "Blackrock Bomb (Grimrail Bombardier)";
	sound = 3;
};

GTFO.SpellID["166404"] = {
	--desc = "Arcane Blitz (Grimrail Scout)";
	sound = 3;
};

-- *****************************
-- * Shadowmoon Burial Grounds *
-- *****************************

GTFO.SpellID["152690"] = {
	--desc = "Shadow Rune";
	sound = 3;
};

GTFO.SpellID["152688"] = {
	--desc = "Shadow Rune";
	sound = 3;
};

GTFO.SpellID["153232"] = {
	--desc = "Daggerfall (Sadana Bloodfury)";
	sound = 3;
};

GTFO.SpellID["164686"] = {
	--desc = "Dark Eclipse (Sadana Bloodfury)";
	sound = 3;
	--negatingDebuffSpellID = ???; -- White rune debuff
	test = true;
};



-- ************
-- * Skyreach *
-- ************

GTFO.SpellID["153563"] = {
	--desc = "Pierce";
	sound = 3;
};

-- *************************
-- * Upper Blackrock Spire *
-- *************************

-- *********************
-- * Blackrock Foundry *
-- *********************

-- Gruul
-- TODO: Inferno Slice - fail when hit while debuffed
-- TODO: Crumbling Roar - fail if avoidable
-- TODO: Overwhelming Blows - non-tank fail?
-- TODO: Flare - fail if avoidable
-- TODO: Shatter - fail if you get hit by allies
-- TODO: Overhead Smash - fail if avoidable

-- Oregorger
-- TODO: Acid Torrent - non-tank fail
-- TODO: Explosive Shard - unsure how this mechanic works
-- TODO: Rolling Fury
-- TODO: Unstable Slag Explosion - avoidable waves of death